> For the complete documentation index, see [llms.txt](https://docs-ksc.gitbook.io/blog/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-ksc.gitbook.io/blog/install/neuron/vasp/vasp-6.5.1-install-gpu.md).

# VASP 6.5.1 설치 (GPU)

KISTI 뉴론 시스템에서 VASP 6.5.1 버전을 설치 하는 방법에 대하여 소개 합니다.

## **가. 설치 환경**

| 구분           | 내용                            |
| ------------ | ----------------------------- |
| 대상 시스템       | 뉴론 (GPU Cluster System)       |
| OS Version   | Rocky 9.4 (Blue Onyx)         |
| Architecture | x86\_64                       |
| 컴파일러         | NVIDIA HPD SDK 25.11          |
| GPU          | NVIDIA V100, A100, H100, H200 |
| MPI          | OpenMPI 4.1.9                 |
| 기타           | Intel MKL Math Library        |

## **나. 설치 전 환경 설정**

뉴론 시스템은 PATH, LD\_LIBRARY\_PATH 등을 쉽게 하기 위하여 환경설정 툴인 Modules(<http://modules.sourceforge.net)이> 구성되어 있으며\
이하 설치 소개 에서는 module load를 이용한 환경 설정 방법을 이용합니다.

\[ 환경 설정 ]

```shell-session
$ module purge
$ module load nvhpc/25.11_cuda12 mkl/2025.3
```

## **다. vasp 6.5.1 버전 설치 과정**

설치 과정 소개는 tar 를 이용한 압축 해제 방법과 설정 방법등 진행 절차를 위주로 설명하고, 소스 파일 다운로드 등은 생략합니다.

\[설치과정]

```shell-session
$ tar -xzf vasp.6.5.1.tgz
$ cd vasp.6.5.1

$ cp arch/makefile.include.nvhpc_ompi_mkl_omp_acc ./makefile.include

$ vi makefile.include

- 수정 내용 -
CC          = mpicc  -acc -gpu=cc70,cc80,cc90,cuda12.9 -mp
FC          = mpif90 -acc -gpu=cc70,cc80,cc90,cuda12.9 -mp
FCL         = mpif90 -acc -gpu=cc70,cc80,cc90,cuda12.9 -mp -c++libs

VASP_TARGET_CPU ?= -tp x86-64-v3

OFLAG_IN   = -fast -Mwarperf
SOURCE_IN  := nonlr.o

MKLROOT    ?= /apps/libraries/mkl/2025.3/
MKLLIBS     = -Mmkl
#MKLLIBS     = -lmkl_intel_lp64 -lmkl_core -pgf90libs -mp -lpthread -lm -ldl
LLIBS_MKL   = -L$(MKLROOT)/lib/intel64 -lmkl_scalapack_lp64 -lmkl_blacs_openmpi_lp64 $(MKLLIBS)

$ make DEPS=1 -j4 all 2>&1 |tee make.log

- 컴파일이 완료되면 아래 경로에 실행파일 생성
$ ls bin
vasp_gam  vasp_ncl  vasp_std

```

※ 참고 문서 - VASP 공식 Wiki 문서

Installing VASP.6.X.X : <https://www.vasp.at/wiki/index.php/Installing_VASP.6.X.X>

Compiler options : <https://www.vasp.at/wiki/index.php/Compiler_options>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-ksc.gitbook.io/blog/install/neuron/vasp/vasp-6.5.1-install-gpu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
